import { IEffectsAction } from 'redux-effects-promise';
import { IApiEntity } from '../definition';
/**
 * @action-builder
 * @stable [08.09.2020]
 */
export declare class FormActionBuilder {
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildDestroyActionType(section: string): string;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildClearActionType(section: string): string;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildChangeActionType(section: string): string;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildDefaultChangeActionType(section: string): string;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildResetActionType(section: string): string;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildValidActionType(section: string): string;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildActiveValueActionType(section: string): string;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildInactiveValueActionType(section: string): string;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildSubmitActionType(section: string): string;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildProgressActionType(section: string): string;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildSubmitDoneActionType(section: string): string;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildSubmitFinishActionType(section: string): string;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildSubmitErrorActionType(section: string): string;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildSubmitDoneAction(section: string): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildResetAction(section: string): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildProgressAction(section: string): IEffectsAction;
    /**
     * @stable [03.02.2020]
     * @param {string} section
     * @param {boolean} valid
     * @returns {IEffectsAction}
     */
    static buildValidAction(section: string, valid: boolean): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildSubmitFinishAction(section: string): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildDestroyAction(section: string): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     * @param fieldName
     */
    static buildClearAction(section: string, fieldName: string): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     * @param changes
     */
    static buildChangesAction<TData = {}>(section: string, changes: TData): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     * @param changes
     */
    static buildDefaultChangesAction<TData = {}>(section: string, changes: TData): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     * @param fieldName
     */
    static buildClearPlainAction(section: string, fieldName: string): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildResetPlainAction(section: string): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     * @param apiEntity
     */
    static buildSubmitPlainAction(section: string, apiEntity: IApiEntity): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     * @param valid
     */
    static buildValidPlainAction(section: string, valid: boolean): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     * @param payload
     */
    static buildActiveValuePlainAction(section: string, payload: number): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     * @param payload
     */
    static buildInactiveValuePlainAction(section: string, payload: number): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     */
    static buildSubmitFinishPlainAction(section: string): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     * @param changes
     */
    static buildChangesPlainAction<TData = {}>(section: string, changes: TData): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param section
     * @param changes
     */
    static buildDefaultChangesPlainAction<TData = {}>(section: string, changes: TData): IEffectsAction;
    /**
     * @stable [08.09.2020]
     * @param fields
     * @private
     */
    private static buildChangesPayload;
}
