import * as React from 'react';
import { IConnectorEntity, IGenericContainerCtor, IStoreEntity, IUiMessageConfigEntity } from '../../definition';
import { IApplicationContainerProps } from './application.interface';
import { UniversalApplicationContainer } from './universal-application.container';
export declare class ApplicationContainer<TStoreEntity extends IStoreEntity = IStoreEntity> extends UniversalApplicationContainer<IApplicationContainerProps> {
    private readonly routerRef;
    /**
     * @stable [24.09.2019]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [24.09.2019]
     */
    componentDidMount(): void;
    /**
     * @stable [16.11.2019]
     * @param {IGenericContainerCtor} ctor
     * @param {IConnectorEntity} connectorEntity
     * @returns {JSX.Element}
     */
    protected buildRoute(ctor: IGenericContainerCtor, connectorEntity: IConnectorEntity): JSX.Element;
    /**
     * @stable [28.11.2019]
     * @returns {React.ReactNode}
     */
    protected getMessageElement(): React.ReactNode;
    /**
     * @stable [28.11.2019]
     * @param {IUiMessageConfigEntity} message
     * @returns {IUiMessageConfigEntity}
     */
    protected prepareMessage(message: IUiMessageConfigEntity): IUiMessageConfigEntity;
    /**
     * @stable [24.09.2019]
     * @returns {IRouter}
     */
    private get dynamicRouter();
}
