/// <reference types="react" />
import { IButtonProps } from '../../definition';
import { GenericComponent } from '../base/generic.component';
export declare class Button extends GenericComponent<IButtonProps> {
    static readonly defaultProps: IButtonProps;
    /**
     * @stable [13.05.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [13.05.2020]
     */
    blur(): void;
    getId(identificator: string): string;
    /**
     * @stable [13.05.2020]
     * @param {boolean} $hasContent
     * @param {string} $text
     * @returns {JSX.Element}
     */
    private getContentElement;
    /**
     * @stable [13.05.2020]
     * @param {IButtonProps} $mergedProps
     * @returns {JSX.Element}
     */
    private getIconElement;
    /**
     * @stable [13.05.2020]
     * @param {IButtonProps} $mergedProps
     * @returns {string}
     */
    private getText;
    /**
     * @stable [13.05.2020]
     * @param {IButtonProps} $mergedProps
     * @param {boolean} $hasContent
     * @param {boolean} $hasIcon
     * @returns {string}
     */
    private getClassName;
    /**
     * @stable [13.05.2020]
     * @param text
     * @returns {boolean}
     */
    private hasContent;
    /**
     * @stable [02.06.2020]
     * @param {IButtonProps} $mergedProps
     * @returns {boolean}
     */
    private hasIcon;
    /**
     * @stable [13.05.2020]
     * @param {IButtonProps} $mergedProps
     * @returns {boolean}
     */
    private isDisabled;
    /**
     * @stable [02.06.2020]
     * @returns {IButtonProps}
     */
    protected get componentsSettingsProps(): IButtonProps;
}
