/// <reference types="react" />
import { GenericComponent } from '../base/generic.component';
import { ICalendarProps } from '../../definition';
export declare class Calendar extends GenericComponent<ICalendarProps> {
    static readonly defaultProps: ICalendarProps;
    /**
     * @stable [04.01.2020]
     * @param {ICalendarProps} props
     */
    constructor(props: ICalendarProps);
    /**
     * @stable [04.01.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [04.01.2020]
     * @param {IGridColumnProps<ICalendarDayEntity>} payload
     * @returns {string}
     */
    private getColumnClassName;
    /**
     * @stable [07.01.2020]
     * @param {ICalendarDayEntity} entity
     * @returns {boolean}
     */
    private isDaySelected;
    /**
     * @stable [21.01.2020]
     * @param {ICalendarDayEntity} entity
     * @returns {boolean}
     */
    private isFirstSelectedDay;
    /**
     * @stable [21.01.2020]
     * @param {ICalendarDayEntity} entity
     * @returns {boolean}
     */
    private isLastSelectedDay;
    /**
     * @stable [07.03.2020]
     * @param {ICalendarDayEntity} entity
     * @returns {boolean}
     */
    private isMiddleSelectedDay;
    /**
     * @stable [20.10.2020]
     * @param item
     * @param column
     * @private
     */
    private getCellElement;
    /**
     * @stable [04.01.2020]
     * @param {IGridColumnProps} payload
     */
    private onClick;
    /**
     * @stable [04.01.2020]
     * @param {IGridColumnProps} payload
     * @returns {ICalendarDayEntity}
     */
    private asCalendarDayEntity;
    /**
     * @stable [04.01.2020]
     * @returns {ICalendarEntity}
     */
    private get calendarEntity();
}
