/// <reference types="react" />
import { DictionaryStoreProxyFactoryT, FormStoreProxyFactoryT, IControlledFieldConfigEntity, IControlledFieldItemEntity, IControlledMappedFieldEntity, IFieldProps } from '../../definition';
export declare class ControlledFieldFactory<TConfig extends IControlledFieldConfigEntity<TControlledFieldItemEntity, TControlledFieldItemsEnum>, TControlledFieldItemEntity extends IControlledFieldItemEntity<TControlledFieldItemsEnum>, TControlledFieldItemsEnum> {
    protected readonly $dictionaryStoreProxyFactory: DictionaryStoreProxyFactoryT;
    protected readonly $formStoreProxyFactory: FormStoreProxyFactoryT;
    protected readonly fields: Map<TControlledFieldItemsEnum, JSX.Element>;
    /**
     * @stable [14.10.2020]
     * @param config
     */
    buildField(config: TConfig): JSX.Element;
    /**
     * @stable [14.10.2020]
     * @param cfg
     */
    buildFields(cfg: TConfig): JSX.Element[];
    /**
     * @stable [14.10.2020]
     * @param cfg
     */
    buildMappedFields(cfg: TConfig): IControlledMappedFieldEntity<TControlledFieldItemsEnum>[];
    /**
     * @stable [14.10.2020]
     * @param config
     * @protected
     */
    protected getFields(config: IControlledFieldConfigEntity<TControlledFieldItemEntity, TControlledFieldItemsEnum>): IControlledFieldItemEntity<TControlledFieldItemsEnum>[];
    /**
     * @stable [14.10.2020]
     * @param fields
     * @protected
     */
    protected sortFields(fields: TControlledFieldItemEntity[]): TControlledFieldItemEntity[];
    /**
     * @stable [14.10.2020]
     * @param config
     * @param actualFieldCfg
     * @param actualFields
     * @protected
     */
    protected getExtraProps(config: TConfig, actualFieldCfg: IControlledFieldItemEntity<TControlledFieldItemsEnum>, actualFields: IControlledFieldItemEntity<TControlledFieldItemsEnum>[]): IFieldProps;
}
