"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseCheckbox = void 0;
var field_component_1 = require("../field/field.component");
var definition_1 = require("../../../definition");
var util_1 = require("../../../util");
var BaseCheckbox = /** @class */ (function (_super) {
    __extends(BaseCheckbox, _super);
    function BaseCheckbox() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [31.08.2018]
     * @returns {IBaseCheckboxInputProps}
     */
    BaseCheckbox.prototype.getInputElementProps = function () {
        return __assign(__assign({}, _super.prototype.getInputElementProps.call(this)), { type: 'checkbox', 
            /**
             * Needed for entity initialization
             * @stable [17.08.2018]
             */
            checked: this.displayValue, 
            /**
             * Only the manual changes
             * @stable [17.08.2018]
             */
            onChange: util_1.noop });
    };
    /**
     * @stable [23.10.2019]
     * @param {IBaseEvent} event
     */
    BaseCheckbox.prototype.onClick = function (event) {
        this.onChangeManually(!this.value);
        _super.prototype.onClick.call(this, event);
    };
    /**
     * @stable [05.06.2020]
     * @returns {string}
     */
    BaseCheckbox.prototype.getFieldClassName = function () {
        return util_1.ClsUtils.joinClassName(_super.prototype.getFieldClassName.call(this), definition_1.CheckboxClassesEnum.BASE_CHECKBOX, this.value ? definition_1.CheckboxClassesEnum.BASE_CHECKBOX_CHECKED : definition_1.CheckboxClassesEnum.BASE_CHECKBOX_UNCHECKED);
    };
    /**
     * @stable [19.06.2020]
     * @returns {string}
     */
    BaseCheckbox.prototype.getLabel = function () {
        var disableLabel = this.mergedProps.disableLabel;
        var originalLabel = _super.prototype.getLabel.call(this);
        return this.value
            ? originalLabel
            : disableLabel || originalLabel;
    };
    BaseCheckbox.defaultProps = util_1.PropsUtils.mergeWithParentDefaultProps({}, field_component_1.Field);
    return BaseCheckbox;
}(field_component_1.Field));
exports.BaseCheckbox = BaseCheckbox;
//# sourceMappingURL=base-checkbox.component.js.map