/// <reference types="react" />
import { Field } from '../field/field.component';
import { IViewFieldProps, IViewFieldState } from '../../../definition';
export declare class ViewField extends Field<IViewFieldProps, IViewFieldState> {
    static readonly defaultProps: IViewFieldProps;
    private previousValue;
    private detectorFileTypeTask;
    /**
     * @stable [16.10.2020]
     * @param originalProps
     */
    constructor(originalProps: IViewFieldProps);
    /**
     * @stable [29.07.2019]
     */
    componentWillUnmount(): void;
    /**
     * @stable [16.10.2020]
     */
    componentDidMount(): Promise<void>;
    /**
     * @stable [16.10.2020]
     * @param prevProps
     * @param prevState
     */
    componentDidUpdate(prevProps: IViewFieldProps, prevState: IViewFieldState): Promise<void>;
    /**
     * @stable [16.10.2020]
     * @protected
     */
    protected get attachmentBodyElement(): JSX.Element;
    /**
     * @stable [16.10.2020]
     * @protected
     */
    protected getFieldClassName(): string;
    /**
     * stable [19.09.2019]
     */
    private doRefresh;
    /**
     * @stable [29.07.2019]
     * @returns {string}
     */
    private get currentValue();
    /**
     * @stable [19.09.2019]
     */
    private doClear;
    /**
     * @stable [19.09.2019]
     * @param {string} currentValue
     * @returns {Promise<IViewFieldState>}
     */
    private getFileInfo;
}
