import { EntityIdT, IEntity } from '../../definitions.interface';
import { IGridState, ITimeGridBuilderConfigEntity } from './grid.interface';
import { IGridColumnProps, IGridProps, ISortDirectionEntity, MultiFieldValueT } from '../../definition';
/**
 * @stable [10.09.2018]
 */
export declare const DEFAULT_BUILDER_CONFIG: ITimeGridBuilderConfigEntity;
/**
 * @stable [04.10.2018]
 * @param {IGridColumnProps} defaultConfig
 * @param {string} extraClassName
 * @returns {IGridColumnProps}
 */
export declare const buildTimeGridInfoColumn: (defaultConfig: IGridColumnProps, extraClassName?: string) => IGridColumnProps;
/**
 * @stable [10.09.2018]
 * @param {IGridColumnProps} defaultConfig
 * @param {ITimeGridBuilderConfigEntity} builderConfig
 * @returns {IGridColumnProps[]}
 */
export declare const buildTimeGridColumns: (defaultConfig?: IGridColumnProps, builderConfig?: ITimeGridBuilderConfigEntity) => IGridColumnProps[];
/**
 * @stable [12.02.2019]
 * @param {IGridColumnProps} column
 * @param {IGridProps} props
 * @returns {SortDirectionsEnum}
 */
export declare const getGridColumnSortDirection: (column: IGridColumnProps, props: IGridProps) => ISortDirectionEntity;
export declare const filterAndSortGridOriginalDataSource: (source: IEntity[], columns: IGridColumnProps[], props: IGridProps, state: IGridState) => IEntity[];
/**
 * @stable [29.12.2019]
 * @param {MultiFieldValueT<TEntity extends IEntity>} entity
 * @param {(item: TEntity) => EntityIdT} groupValueAccessor
 * @returns {Record<EntityIdT, boolean>}
 */
export declare const asExpandedGridGroups: <TEntity extends IEntity>(entity: MultiFieldValueT<TEntity>, groupValueAccessor?: (item: TEntity) => EntityIdT) => Record<EntityIdT, boolean>;
