import { IPermissionsManager, IUniversalStoreEntity } from '../definition';
export declare class PermissionsManager<TPermission, TPermissions, TStore = IUniversalStoreEntity> implements IPermissionsManager<TPermission, TPermissions> {
    private readonly store;
    /**
     *
     * @param {TPermission} checkedObject
     * @returns {boolean}
     */
    isAccessible(checkedObject: TPermission): boolean;
    hasPermission(permissions: TPermissions, checkedObject: TPermission): boolean;
    /**
     * @stable [17.09.2019]
     * @returns {TStore}
     */
    protected getState(): TStore;
}
