import { AnyT } from '../../definitions.interface';
import { BaseStorage } from '../base-storage.service';
import { ISettingsEntity } from '../../settings';
import { StorageTypesEnum } from '../../definition';
export declare class DefaultStorage extends BaseStorage {
    private settingsProvider;
    private storageType?;
    /**
     * @stable [28.07.2019]
     * @param {string} prefix
     * @param {() => ISettings} settingsProvider
     * @param {StorageTypesEnum} storageType
     */
    constructor(prefix: string, settingsProvider: () => ISettingsEntity, storageType?: StorageTypesEnum);
    /**
     * @stable [07.10.2020]
     * @param key
     * @param value
     */
    set(key: string, value: unknown): Promise<boolean>;
    /**
     * @stable [13.03.2020]
     * @param {string} key
     * @param {boolean} noPrefix
     * @returns {Promise<AnyT>}
     */
    get(key: string, noPrefix?: boolean): Promise<AnyT>;
    /**
     * @stable [28.07.2019]
     * @param {string} key
     * @param {boolean} noPrefix
     * @returns {Promise<boolean>}
     */
    remove(key: string, noPrefix?: boolean): Promise<void>;
    /**
     * @stable [25.09.2019]
     * @param {(value: AnyT, key: string) => void} callback
     */
    each(callback: (value: AnyT, key: string) => void): void;
    /**
     * @stable [28.07.2019]
     * @returns {Storage}
     */
    get storage(): Storage;
}
