import { IBaseSelectProps, IBasicListProps, IDefaultLayoutContainerProps, IDefaultLayoutProps, IDictionariesContainer, IFilterFormDialogContainerProps, IFormContainerProps, IFormProps, IFormTabPanelContainerProps, IGenericContainer, IHeaderProps, IListContainerProps, IListProps, IPageToolbarContainerProps, IPageToolbarProps, IPrimaryFilterExtendedFormEntity, IReduxBaseDictionariesEntity, IReduxDictionariesEntity, IReduxDictionaryEntity, IReduxPrimaryFilterFormHolderEntity, IReduxSecondaryFilterFormHolderEntity, ISearchToolbarContainerProps, ISearchToolbarProps, ISecondaryFilterExtendedFormEntity, ITabPanelContainerProps, ITabPanelProps, IToolbarToolsContainerProps, IToolbarToolsProps, IUnsavedFormChangesDialogContainerProps, IUnsavedFormChangesDialogProps } from '../definition';
import { IEntity, ISectionNameWrapper } from '../definitions.interface';
/**
 * @stable [07.08.2020]
 */
export interface IDictionariesContainerAsSelectPropsConfigEntity<TDictionary extends IReduxBaseDictionariesEntity = IReduxDictionariesEntity, TEntity = IEntity, TResult = TEntity[]> {
    container: IDictionariesContainer<TDictionary>;
    dataResolver?: (data: TEntity[]) => TResult;
    dictionaryEntityResolver: (dictionaries: TDictionary) => IReduxDictionaryEntity;
}
/**
 * @stable [07.08.2020]
 */
export interface IDictionariesContainerAsParameterizedSelectPropsConfigEntity<TDictionary extends IReduxBaseDictionariesEntity = IReduxDictionariesEntity, TEntity = IEntity, TResult = TEntity[], TPayload = {}> extends IDictionariesContainerAsSelectPropsConfigEntity<TDictionary, TEntity, TResult> {
    payloadResolver?: () => TPayload;
}
/**
 * @stable [30.07.2020]
 */
export declare class MapAsComponentUtils {
    static readonly containerAsUnsavedFormChangesDialogContainerProps: (proxyContainer: IGenericContainer<IUnsavedFormChangesDialogContainerProps, {}>) => IUnsavedFormChangesDialogContainerProps;
    static readonly defaultLayoutContainerProps: (defaultLayoutContainer: IDefaultLayoutContainerProps) => IDefaultLayoutContainerProps;
    static readonly defaultLayoutPropsAsHeaderProps: (defaultLayout: IDefaultLayoutProps<IDefaultLayoutProps<{}>>) => IHeaderProps;
    static readonly dictionariesContainerAsParameterizedSelectProps: <TDictionary extends IReduxBaseDictionariesEntity = IReduxDictionariesEntity, TEntity = IEntity, TResult = TEntity[], TPayload = {}>(cfg: IDictionariesContainerAsParameterizedSelectPropsConfigEntity<TDictionary, TEntity, TResult, TPayload>) => IBaseSelectProps;
    static readonly dictionariesContainerAsPlaceFieldProps: (container: IDictionariesContainer<IReduxBaseDictionariesEntity>) => IBaseSelectProps;
    static readonly dictionariesContainerAsSelectProps: <TDictionary extends IReduxBaseDictionariesEntity = IReduxDictionariesEntity, TEntity = IEntity, TResult = TEntity[]>(cfg: IDictionariesContainerAsSelectPropsConfigEntity<TDictionary, TEntity, TResult>) => IBaseSelectProps;
    static readonly filterFormDialogContainerProps: (filterFormDialogContainer: IFilterFormDialogContainerProps) => IFilterFormDialogContainerProps;
    static readonly formContainerProps: (formContainer: IFormContainerProps<IEntity, {}>) => IFormContainerProps<IEntity, {}>;
    static readonly formContainerPropsAsFormProps: (formContainer: IFormContainerProps<IEntity, {}>) => IFormProps<IEntity>;
    static readonly formTabPanelContainerProps: (formTabPanelContainer: IFormTabPanelContainerProps<IEntity>) => IFormTabPanelContainerProps<IEntity>;
    static readonly formTabPanelContainerPropsAsTabPanelProps: (formTabPanelContainer: IFormTabPanelContainerProps<IEntity>) => ITabPanelProps;
    static readonly listContainerProps: (listContainer: IListContainerProps) => IListContainerProps;
    static readonly listPropsAsBasicListProps: (list: IListProps) => IBasicListProps;
    static readonly pageToolbarContainerProps: (pageToolbarContainer: IPageToolbarContainerProps) => IPageToolbarContainerProps;
    static readonly pageToolbarContainerPropsAsPageToolbarProps: (pageToolbarContainer: IPageToolbarContainerProps) => IPageToolbarProps;
    static readonly primaryFilterExtendedFormEntityAsFilterFormDialogContainerProps: (entity: IFilterFormDialogContainerProps & IPrimaryFilterExtendedFormEntity<IEntity>) => IFilterFormDialogContainerProps;
    static readonly primaryFilterExtendedFormEntityAsFormContainerProps: <TValue = IEntity>(entity: ISectionNameWrapper & IPrimaryFilterExtendedFormEntity<TValue>) => IFormContainerProps<IEntity, {}>;
    static readonly primaryFilterFormHolderEntityAsToolbarToolsContainerProps: (entity: IToolbarToolsContainerProps<IToolbarToolsProps> & IReduxPrimaryFilterFormHolderEntity<IEntity>) => IToolbarToolsContainerProps<IToolbarToolsProps>;
    static readonly searchToolbarContainerProps: (searchToolbarContainer: ISearchToolbarContainerProps) => ISearchToolbarContainerProps;
    static readonly searchToolbarContainerPropsAsSearchToolbarProps: (searchToolbarContainer: ISearchToolbarContainerProps) => ISearchToolbarProps;
    static readonly secondaryFilterExtendedFormEntityAsFilterFormDialogContainerProps: (entity: IFilterFormDialogContainerProps & ISecondaryFilterExtendedFormEntity<IEntity>) => IFilterFormDialogContainerProps;
    static readonly secondaryFilterExtendedFormEntityAsFormContainerProps: <TValue = IEntity>(entity: ISectionNameWrapper & ISecondaryFilterExtendedFormEntity<TValue>) => IFormContainerProps<IEntity, {}>;
    static readonly secondaryFilterFormHolderEntityAsToolbarToolsContainerProps: (entity: IToolbarToolsContainerProps<IToolbarToolsProps> & IReduxSecondaryFilterFormHolderEntity<IEntity>) => IToolbarToolsContainerProps<IToolbarToolsProps>;
    static readonly tabPanelContainerProps: (tabPanelContainer: ITabPanelContainerProps) => ITabPanelContainerProps;
    static readonly tabPanelContainerPropsAsTabPanelProps: (tabPanelContainer: ITabPanelContainerProps) => ITabPanelProps;
    static readonly toolbarToolsContainerProps: (toolbarToolsContainer: IToolbarToolsContainerProps<IToolbarToolsProps>) => IToolbarToolsContainerProps<IToolbarToolsProps>;
    static readonly toolbarToolsContainerPropsAsToolbarToolsProps: (toolbarToolsContainer: IToolbarToolsContainerProps<IToolbarToolsProps>) => IToolbarToolsProps;
    static readonly toolbarToolsProps: (toolbarTools: IToolbarToolsProps) => IToolbarToolsProps;
    static readonly unsavedFormChangesDialogContainerPropsAsUnsavedFormChangesDialogProps: (unsavedFormChangesDialogContainer: IUnsavedFormChangesDialogContainerProps) => IUnsavedFormChangesDialogProps;
    static readonly unsavedFormChangesDialogProps: <TEntity = IEntity>(unsavedFormChangesDialog: IUnsavedFormChangesDialogProps) => IUnsavedFormChangesDialogProps;
}
