import * as React from 'react';
import { IBaseEvent, IGenericComponentCtor, IGenericComponentProps } from '../definition';
import { IKeyValue } from '../definitions.interface';
/**
 * @stable [18.05.2020]
 */
export declare class PropsUtils {
    static readonly buildClickHandlerProps: <TElement extends HTMLElement>(handler: (e?: IBaseEvent) => void, canAttachHandler?: boolean, touched?: boolean) => Partial<React.DetailedHTMLProps<React.HTMLAttributes<TElement>, TElement>>;
    static readonly mergeWithParentDefaultProps: <TChildProps extends IGenericComponentProps<any>, TParentCtor extends IGenericComponentCtor<IGenericComponentProps<any>, {}> = IGenericComponentCtor<IGenericComponentProps<any>, {}>>(childProps: TChildProps, parent: TParentCtor) => TChildProps & Partial<IGenericComponentProps<any>>;
    static readonly mergeWithSystemProps: <TProps = IKeyValue>(props: TProps, systemProps: TProps) => TProps;
}
