import { IEntity, IKeyValue } from '../definitions.interface';
import { IConnectorEntity, IRouteConfigurationEntity } from '../definition';
export declare function buildRoute(path: string, params: IKeyValue): string;
/**
 * @stable [10.09.2020]
 * @param path
 * @param entity
 */
export declare const buildEntityRoute: <TEntity extends IEntity>(path: string, entity?: TEntity) => string;
/**
 * @stable [11.09.2019]
 * @param {string} section
 * @param {Map<string, >} connectorConfigs
 * @returns {string}
 */
export declare const getRoutePathBySection: (section: string, connectorConfigs: Map<string, IConnectorEntity>) => string;
/**
 * @stable [07.06.2020]
 */
export declare class RouteUtils {
    static readonly asRoutePath: (entity: IRouteConfigurationEntity) => string;
    static readonly buildEntityRoute: <TEntity extends IEntity>(path: string, entity?: TEntity) => string;
}
