import { IKeyValue } from '../definitions.interface';
import { IActionStateEntity, IContainerMiddlewareConfigEntity, IFluxSectionDataEntity, IFormMiddlewareConfigEntity, IListMiddlewareConfigEntity, ITabPanelMiddlewareConfigEntity } from '../definition';
/**
 * @stable [26.07.2020]
 */
export declare class SectionUtils {
    static readonly actionPrefix: (section: string) => string;
    static readonly applySection: <TResult extends IFluxSectionDataEntity<IKeyValue> = IFluxSectionDataEntity<IKeyValue>, TData = IKeyValue | IKeyValue[]>(section: string, data?: TData) => TResult;
    static readonly asContainerSection: <TState = {}>(cfg: IContainerMiddlewareConfigEntity<TState> & IActionStateEntity<TState>) => string;
    static readonly asFormOrListSection: <TState = {}>(cfg: IFormMiddlewareConfigEntity<TState> & IListMiddlewareConfigEntity<TState> & IActionStateEntity<TState>) => string;
    static readonly asFormSection: <TState = {}>(cfg: IFormMiddlewareConfigEntity<TState> & IActionStateEntity<TState>) => string;
    static readonly asListSection: <TState = {}>(cfg: IListMiddlewareConfigEntity<TState> & IActionStateEntity<TState>) => string;
    static readonly asTabPanelSection: <TState = {}>(cfg: ITabPanelMiddlewareConfigEntity<TState> & IActionStateEntity<TState>) => string;
}
