import { IAllowEmptyFilterValueWrapper, IAlwaysResettableWrapper, ICalendarActionRenderedWrapper, IChangeableWrapper, IDecoratedWrapper, IDirtyWrapper, IDisabledWrapper, IEditedWrapper, IErrorMessageRenderedWrapper, IErrorWrapper, IExpandActionRenderedWrapper, IFullWrapper, IMultiWrapper, INavigateBackWrapper, IOpenedWrapper, IPlaceActionRenderedWrapper, IProgressWrapper, IRangeEnabledWrapper, IReadOnlyWrapper, IReadyWrapper, IRefreshOnUpdateWrapper, ISelectedWrapper, ISortableWrapper, ITouchedWrapper, IUsePeriodNavigatorWrapper, IUsePreviewWrapper, IUseZipCodeWrapper, IValidWrapper } from '../definitions.interface';
/**
 * @stable [28.11.2019]
 * @param {IReadyWrapper} entity
 * @returns {boolean}
 */
export declare const isReady: (entity: IReadyWrapper) => boolean;
/**
 * @stable [24.01.2020]
 * @param {IFullWrapper} entity
 * @returns {boolean}
 */
export declare const isFull: (entity: IFullWrapper) => boolean;
/**
 * @stable [28.11.2019]
 * @param {IErrorWrapper} entity
 * @returns {boolean}
 */
export declare const doesErrorExist: (entity: IErrorWrapper<string | boolean>) => boolean;
/**
 * @stable [06.03.2020]
 * @param {IRangeEnabledWrapper} wrapper
 * @returns {boolean}
 */
export declare const isRangeEnabled: (wrapper: IRangeEnabledWrapper) => boolean;
/**
 * @stable [26.10.2019]
 * @param {IEditedWrapper} editedEntity
 * @returns {boolean}
 */
export declare const isEdited: (editedEntity: IEditedWrapper) => boolean;
/**
 * @stable [26.10.2019]
 * @param {ISortableWrapper} wrapper
 * @returns {boolean}
 */
export declare const isSortable: (wrapper: ISortableWrapper) => boolean;
/**
 * @stable [03.02.2020]
 * @param {IDisabledWrapper} wrapper
 * @returns {boolean}
 */
export declare const isDisabled: (wrapper: IDisabledWrapper) => boolean;
/**
 * @stable [03.02.2020]
 * @param {ICalendarActionRenderedWrapper} wrapper
 * @returns {boolean}
 */
export declare const isCalendarActionRendered: (wrapper: ICalendarActionRenderedWrapper) => boolean;
/**
 * @stable [23.03.2020]
 * @param {IAlwaysResettableWrapper} wrapper
 * @returns {boolean}
 */
export declare const isAlwaysResettable: (wrapper: IAlwaysResettableWrapper) => boolean;
/**
 * @stable [13.11.2019]
 * @param {IMultiWrapper} wrapper
 * @returns {boolean}
 */
export declare const isMulti: (wrapper: IMultiWrapper) => boolean;
/**
 * @stable [26.11.2019]
 * @param {IPlaceActionRenderedWrapper} wrapper
 * @returns {boolean}
 */
export declare const isPlaceActionRendered: (wrapper: IPlaceActionRenderedWrapper) => boolean;
/**
 * @stable [11.01.2020]
 * @param {IUseZipCodeWrapper} entity
 * @returns {boolean}
 */
export declare const isUseZipCode: (entity: IUseZipCodeWrapper) => boolean;
/**
 * @stable [01.08.2020]
 * @param entity
 */
export declare const isDirty: (entity: IDirtyWrapper) => boolean;
/**
 * @stable [15.03.2020]
 * @param {IOpenedWrapper} wrapper
 * @returns {boolean}
 */
export declare const isOpened: (wrapper: IOpenedWrapper) => boolean;
/**
 * @stable [16.03.2020]
 * @param {IUsePreviewWrapper} wrapper
 * @returns {boolean}
 */
export declare const isPreviewUsed: (wrapper: IUsePreviewWrapper) => boolean;
/**
 * @stable [25.03.2020]
 * @param {IUsePeriodNavigatorWrapper} wrapper
 * @returns {boolean}
 */
export declare const isPeriodNavigatorUsed: (wrapper: IUsePeriodNavigatorWrapper) => boolean;
/**
 * @stable [18.05.2020]
 */
export declare class WrapperUtils {
    static readonly inProgress: (wrapper: IProgressWrapper<boolean>) => boolean;
    static readonly isAllowEmptyFilterValue: (wrapper: IAllowEmptyFilterValueWrapper) => boolean;
    static readonly isChangeable: (wrapper: IChangeableWrapper) => boolean;
    static readonly isDecorated: (wrapper: IDecoratedWrapper) => boolean;
    static readonly isDirty: (entity: IDirtyWrapper) => boolean;
    static readonly isDisabled: (wrapper: IDisabledWrapper<boolean>) => boolean;
    static readonly isErrorMessageRendered: (wrapper: IErrorMessageRenderedWrapper) => boolean;
    static readonly isExpandActionRendered: (wrapper: IExpandActionRenderedWrapper) => boolean;
    static readonly isFull: (entity: IFullWrapper<boolean>) => boolean;
    static readonly isNavigateBackNeeded: (wrapper: INavigateBackWrapper) => boolean;
    static readonly isReadOnly: (wrapper: IReadOnlyWrapper) => boolean;
    static readonly isRefreshOnUpdateNeeded: (wrapper: IRefreshOnUpdateWrapper) => boolean;
    static readonly isSelected: (wrapper: ISelectedWrapper<boolean>) => boolean;
    static readonly isTouched: (wrapper: ITouchedWrapper) => boolean;
    static readonly isValid: (wrapper: IValidWrapper) => boolean;
}
